This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 542730 - Please add Maven depmap fragments
Please add Maven depmap fragments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jakarta-commons-modeler (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 540986
  Show dependency treegraph
 
Reported: 2009-11-30 12:08 EST by Mary Ellen Foster
Modified: 2009-12-17 23:23 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 23:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-30 12:08:01 EST
Description of problem:
Please add Maven depmap fragments to the spec file as specified here:
    https://fedoraproject.org/wiki/Packaging/Java#maven
This makes it possible for other packages that use Maven to build against the
jakarta-commons-modeler library.

The appropriate call to %add_to_maven_depmap is probably:
    %add_to_maven_depmap commons-modeler commons-modeler %{version} JPP commons-modeler

Version-Release number of selected component (if applicable):
jakarta-commons-modeler-2.0-6.3.fc12.x86_64
Comment 1 Mat Booth 2009-12-02 14:58:48 EST
I'm updating this package to the latest version and re-writing the spec to build with maven instead of ant. (Upstream prefer maven and unlike with ant builds of commons project, we also get a proper OSGi manifest for free.)
Comment 2 Mat Booth 2009-12-02 18:31:31 EST
Please try the latest build from koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1844895
Comment 3 Mary Ellen Foster 2009-12-03 05:07:29 EST
Thanks, that works great! I like your hack to work around the missing depmap in the other package too -- I should have thought of that. :)
Comment 4 Mat Booth 2009-12-03 06:17:58 EST
Yeah it's pretty nasty, but it'll have to do until mx4j gets fixed. :-)
Comment 5 Mary Ellen Foster 2009-12-03 06:24:41 EST
Could you push the new package to F12 too if possible? (Maybe you were planning on doing this anyway -- I'm just responding to the "closed Rawhide" status ...). The SRPM built cleanly for me on F12 just now.
Comment 6 Mat Booth 2009-12-03 16:11:50 EST
(In reply to comment #5)
> Could you push the new package to F12 too if possible? (Maybe you were planning
> on doing this anyway -- I'm just responding to the "closed Rawhide" status
> ...). The SRPM built cleanly for me on F12 just now.  

I wasn't planning on pushing to F12, but I can do if you can manage with it spending a while in updates-testing.
Comment 7 Fedora Update System 2009-12-08 16:39:48 EST
jakarta-commons-modeler-2.0.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jakarta-commons-modeler-2.0.1-1.fc12
Comment 8 Fedora Update System 2009-12-09 23:24:39 EST
jakarta-commons-modeler-2.0.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jakarta-commons-modeler'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13014
Comment 9 Fedora Update System 2009-12-17 23:23:54 EST
jakarta-commons-modeler-2.0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.